unit U_con_Membros;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids;

type
  TfrmCons_Membros = class(TForm)
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit_cod_ini: TEdit;
    Edit_cod_final: TEdit;
    Edit_cons_nome: TEdit;
    DBGrid1: TDBGrid;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    EditDatIni: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    EditNomeRel: TEdit;
    Label7: TLabel;
    EditEndereco: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Edit_cons_nomeChange(Sender: TObject);
    procedure Edit_cod_iniChange(Sender: TObject);
    procedure Edit_cod_finalChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCons_Membros: TfrmCons_Membros;

implementation

uses UDM_dados, U_relConMembros, U_Membros;

{$R *.dfm}

procedure TfrmCons_Membros.FormCreate(Sender: TObject);
begin
dm_dados.Cons_Membro.Active := True ;
end;

procedure TfrmCons_Membros.Button2Click(Sender: TObject);
begin
frmRelConsMembros.QRLabel1.Caption := frmCons_Membros.EditNomeRel.Text ;
frmRelConsMembros.QuickRep1.Preview;
end;

procedure TfrmCons_Membros.Button3Click(Sender: TObject);
begin

frmMembros.Edit1.text := DBGrid1.SelectedField.Value ;
frmCons_Membros.Hide;
end;

procedure TfrmCons_Membros.Edit_cons_nomeChange(Sender: TObject);
begin
       dm_dados.Cons_Membro.close;
       dm_dados.Cons_Membro.ParamByName('codini').AsInteger :=StrToInt (Edit_cod_ini.text);
       dm_dados.Cons_Membro.ParamByName('codfinal').AsInteger :=StrToInt (Edit_cod_final.text);
       dm_dados.Cons_Membro.ParamByName('nome').AsString := '%'+ Edit_cons_nome.text+'%';
       dm_dados.Cons_Membro.ParamByName('dtnasc').AsString := '%'+ EditDatIni.text+'%';
       dm_dados.Cons_Membro.ParamByName('endereco').AsString := '%'+ EditEndereco.text+'%';
       dm_dados.Cons_Membro.Open;

end;

procedure TfrmCons_Membros.Edit_cod_iniChange(Sender: TObject);
begin
       dm_dados.Cons_Membro.close;
       dm_dados.Cons_Membro.ParamByName('codini').AsInteger :=StrToInt (Edit_cod_ini.text);
       dm_dados.Cons_Membro.ParamByName('codfinal').AsInteger :=StrToInt (Edit_cod_final.text);
       dm_dados.Cons_Membro.ParamByName('nome').AsString := '%'+ Edit_cons_nome.text+'%';
       dm_dados.Cons_Membro.ParamByName('dtnasc').AsString := '%'+ EditDatIni.text+'%';
       dm_dados.Cons_Membro.ParamByName('endereco').AsString := '%'+ EditEndereco.text+'%';
       dm_dados.Cons_Membro.Open;

end;

procedure TfrmCons_Membros.Edit_cod_finalChange(Sender: TObject);
begin
       dm_dados.Cons_Membro.close;
       dm_dados.Cons_Membro.ParamByName('codini').AsInteger :=StrToInt (Edit_cod_ini.text);
       dm_dados.Cons_Membro.ParamByName('codfinal').AsInteger :=StrToInt (Edit_cod_final.text);
       dm_dados.Cons_Membro.ParamByName('nome').AsString := '%'+ Edit_cons_nome.text+'%';
       dm_dados.Cons_Membro.ParamByName('dtnasc').AsString := '%'+ EditDatIni.text+'%';
       dm_dados.Cons_Membro.ParamByName('endereco').AsString := '%'+ EditEndereco.text+'%';
       dm_dados.Cons_Membro.Open;

end;

end.
